// Copyright 2012-present OSBI Ltd
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

$dimension-color: #2a6085;
$dimension-bg-color: #e5f6ff;
$dimension-cursor-not: no-drop;

.sku-dimensions-tree {
  .sku-level-item {
    cursor: -webkit-grab !important;
    cursor: -moz-grab !important;
    cursor: grab !important;

    &.ui-draggable-dragging {
      color: $dimension-color !important;
      border: 1px solid $dimension-color !important;
      background: $dimension-bg-color !important;
      background: -webkit-gradient(
        linear,
        left top,
        left bottom,
        from(#e0e9ef),
        to(#c2d5e2)
      ) !important;
      background: -moz-linear-gradient(
        top,
        #e0e9ef 0%,
        #c2d5e2 100%
      ) !important;
      text-align: left;

      .sku-level-data {
        color: $dimension-color !important;
        cursor: -webkit-grabbing !important;
        cursor: -moz-grabbing !important;
        cursor: grabbing !important;
      }
    }

    &.ui-draggable-disabled {
      cursor: $dimension-cursor-not !important;

      span {
        cursor: $dimension-cursor-not !important;

        .sku-level-data {
          color: #ccc;
          cursor: $dimension-cursor-not !important;
        }
      }
    }

    .sku-level-data {
      color: $dimension-color;
      cursor: -webkit-grab !important;
      cursor: -moz-grab !important;
      cursor: grab !important;
    }
  }
}
